Package org.silverpeas.components.kmelia.service

## Class KmeliaPublicationSimulationElementLister

- java.lang.Object
- - org.silverpeas.core.process.annotation.SimulationElementLister
  - - org.silverpeas.components.kmelia.service.AbstractKmeliaSimulationElementLister
    - - org.silverpeas.components.kmelia.service.KmeliaPublicationSimulationElementLister

-     public class KmeliaPublicationSimulationElementLister
      extends AbstractKmeliaSimulationElementLister

  Author:
    Yohann Chastagnier Date: 24/10/13

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KmeliaPublicationSimulationElementLister()` |
    `KmeliaPublicationSimulationElementLister​(org.silverpeas.core.process.annotation.SimulationElementLister parentElementLister)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `listElements​(org.silverpeas.core.ResourceReference sourcePK, String language)` |

    - ### Methods inherited from class org.silverpeas.components.kmelia.service.AbstractKmeliaSimulationElementLister

      `getNodeService, getPublicationService, listElements`

    - ### Methods inherited from class org.silverpeas.core.process.annotation.SimulationElementLister

      `addElement, getActionType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KmeliaPublicationSimulationElementLister

          public KmeliaPublicationSimulationElementLister()

    - #### KmeliaPublicationSimulationElementLister

          public KmeliaPublicationSimulationElementLister​(org.silverpeas.core.process.annotation.SimulationElementLister parentElementLister)

  - ### Method Detail

    - #### listElements

          public void listElements​(org.silverpeas.core.ResourceReference sourcePK,
                                   String language)

      Specified by:
        `listElements` in class `org.silverpeas.core.process.annotation.SimulationElementLister`